Subject: Forwarded: Re: Pin Name

From: [email-masked] ( Bob Ross)
Date: Thu, 5 Dec 96 13:05 PST

(forwarded with change since I mistyped the reflector address)

Arthur, Syed:

I just checked this and it looks like you have dicovered an ibis_chk and
ibischk2 bug that has been in existance from day one.

It seems that if a pin "number" takes on the name of any of the reserved
words (gnd, power, nc na) it reports an error.  This is not correct.

Thank you Arthur for finding this.

Syed's comments is correct for a workaround.  However, I do not believe
it was the intention that these could not be used for pin numbers or
signal_name entries.  (They work for signal_name).

Bob Ross
Inteconnectix

> From: Arthur Wong <[email-masked]>
> Received: (arthur@localhost) by pulsar.Eng.idt.com (8.6.12/8.6.12) id MAA03100 for [email-masked]; Thu, 5 Dec 1996 12:13:04 -0800
> Date: Thu, 5 Dec 1996 12:13:04 -0800
> Message-Id: <[email-masked]>
> To: [email-masked]
> Subject: Pin Name
> Status: R

> To IBIS users,

> I have a 2.1 IBIS model in which I specified under [Pin]
> the pin name "gnd".  When I ran the golden parser
> (ibis_chk, v2.1.11), I got this error message:

> ERROR (line   34) - Illegal use of Reserved Word 'gnd'.

> The spec only requires pin names be 5 char max.  Am I 
> missing something?   Here's the complete line:

> [Pin]  signal_name          model_name           R_pin     L_pin     C_pin
> gnd    gnd                  GND

> Regards,
> Arthur Wong
> IDT
> [email-masked]